[package]
name = "egui-baseview"
version = "0.7.0"
authors = ["Billy Messenger <60663878+BillyDM@users.noreply.github.com>"]
description = "A baseview backend for egui"
edition = "2021"
license = "MIT"

[features]
default = ["opengl", "default_fonts", "tracing"]
default_fonts = ["egui/default_fonts"]
opengl = ["dep:egui_glow", "baseview/opengl"]
tracing = ["dep:tracing"]

[dependencies]
baseview = { git = "https://github.com/RustAudio/baseview.git", rev = "237d323c729f3aa99476ba3efa50129c5e86cad3" }
raw-window-handle = "0.5"
egui = { version = "0.33", default-features = false, features = ["bytemuck"] }
egui_glow = { version = "0.33", features = ["x11"], optional = true }
keyboard-types = { version = "0.6", default-features = false }
copypasta = { version = "0.10", default-features = false, features = ["x11"] }
tracing = { version = "0.1", optional = true }
open = "5.1"
thiserror = "2.0"
